<?php
   //solicitamos archivo de conexion a mysql
  require_once('../conf/connection.php');
   //si an pulsado el boton de enviar
  		//Construimos el query!
		    $numero = $_GET["numero"];
			$fecha = $_GET["fecha"];
            //$idplatos = $_GET["idplatos"];
			$mesa = $_GET["mesa"];
			$ventana = $_GET["ventana"];
			
           $buscar='select * from detalles_pedido where numero like \'%'.$numero.'%\'';
		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		   $n=mysql_num_rows($r);
		    //si hay registros los procesamos
			if($n>0)
			{
			
				?> <script>alert("Existen platos asociados al pedido, debe eliminar los platos para anular el pedido.");
				window.history.back();
				</script><?			
			
			}else{
			$borrar="DELETE FROM detalles_pedido WHERE  numero='$numero'";
		
			
			//eliminamos pedido
			$dele_pedido="DELETE FROM pedido WHERE idpedido='$numero'";
		    $rs_pedido=mysql_query($dele_pedido);
			
			//activamos mesa
			
			$sel_mesa="UPDATE mesa SET est_mesa=1 WHERE num_mesa='$mesa'";
		    $rs_mesa=mysql_query($sel_mesa);
			
			//eliminamos el en cotrol pedido
			
			$del_ctpedido="DELETE FROM control_pedido WHERE numero='$numero' and mesa='$mesa' and est=1";
   			$rs_ctpedido=mysql_query($del_ctpedido);
			
			//enviamos el query mediante la funcion mysql_query()
			mysql_query($borrar, $conn) or die("Error en el query: ".mysql_error());
			mysql_close($conn);
			
			
			switch ($ventana) {
				   
                   case 1:
                      ?>
  <META HTTP-EQUIV="REFRESH" CONTENT="0;URL=../mesas.php?fecha=<? echo $fecha ?>"> 
                      
                        <?
				   
					break;
				   
				   case 2:
                        ?>
                        
  <META HTTP-EQUIV="REFRESH" CONTENT="0;URL=../edit.php?fecha=<? echo $fecha ?>">  
                        
                        <?
					break;
				   
				   
            }
			
			
			}?>
			
		
